petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscViewerVUSetMode

Sets the mode in which to open the file.

### Synopsis

    PETSC_DEPRECATED_FUNCTION("Use PetscViewerFileSetMode (since v3.15)") PETSC_STATIC_INLINE PetscErrorCode PetscViewerVUSetMode(PetscViewer viewer, PetscFileMode mode)

Not Collective

### Input Parameters

| viewer | - The PetscViewer
| mode | - The file mode

### Note

Use PetscViewerFileSetMode() instead.

### See Also

PetscViewerFileSetMode()

### Level

deprecated

### Location

src/sys/classes/viewer/../../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages